# vim: set ts=2 sw=2 sts=2 et:
#
# Demo vendor's shippings
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.

XLite\Model\Shipping\Method:
  - processor: offline
    code: VENDOR_1_TEST_SHIPPING
    vendor: {login: vendor1@example.com, order_id: "null"}
    added: true
    enabled: true
    tableType: S
    position: 10
    translations:
      - code: en
        name: "Courier [Vendor 1]"
        deliveryTime: 2 - 4 days
      - code: ru
        name: Доставка курьером
        deliveryTime: 2 - 4 дня
    shipping_markups:
      - zone: {zone_name: 'Все адреса (зона по-умолчанию)'}
        min_weight: 0
        max_weight: 999999999
        min_total: 0
        max_total: 999999999
        min_items: 0
        max_items: 999999999
        markup_flat: 350
        markup_percent: 1.75
        markup_per_item: 0
        markup_per_weight: 0
  - processor: offline
    code: VENDOR_2_TEST_SHIPPING
    vendor: {login: partner2@example.com, order_id: "null"}
    added: true
    enabled: true
    tableType: S
    position: 10
    translations:
      - code: en
        name: "Courier [Vendor 2]"
        deliveryTime: 2 - 4 days
      - code: ru
        name: Доставка курьером
        deliveryTime: 2 - 4 дня
    shipping_markups:
      - zone: {zone_name: 'Все адреса (зона по-умолчанию)'}
        min_weight: 0
        max_weight: 999999999
        min_total: 0
        max_total: 999999999
        min_items: 0
        max_items: 999999999
        markup_flat: 300
        markup_percent: 1.75
        markup_per_item: 0
        markup_per_weight: 0
  - processor: offline
    code: VENDOR_3_TEST_SHIPPING
    vendor: {login: seller3@example.com, order_id: "null"}
    added: true
    enabled: true
    tableType: S
    position: 10
    translations:
      - code: en
        name: "Courier [Vendor 3]"
        deliveryTime: 2 - 4 days
      - code: ru
        name: Доставка курьером
        deliveryTime: 2 - 4 дня
    shipping_markups:
      - zone: {zone_name: 'Все адреса (зона по-умолчанию)'}
        min_weight: 0
        max_weight: 999999999
        min_total: 0
        max_total: 999999999
        min_items: 0
        max_items: 999999999
        markup_flat: 400
        markup_percent: 1.75
        markup_per_item: 0
        markup_per_weight: 0
  - processor: offline
    code: VENDOR_4_TEST_SHIPPING
    vendor: {login: merchant4@example.com, order_id: "null"}
    added: true
    enabled: true
    tableType: S
    position: 10
    translations:
      - code: en
        name: "Courier [Vendor 4]"
        deliveryTime: 2 - 4 days
      - code: ru
        name: Доставка курьером
        deliveryTime: 2 - 4 дня
    shipping_markups:
      - zone: {zone_name: 'Все адреса (зона по-умолчанию)'}
        min_weight: 0
        max_weight: 999999999
        min_total: 0
        max_total: 999999999
        min_items: 0
        max_items: 999999999
        markup_flat: 350
        markup_percent: 1.75
        markup_per_item: 0
        markup_per_weight: 0
